Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/dsp \ --header 'x-api-key: <api-key>'
{ "success": true, "dspBlocks": [ { "id": 123, "name": "<string>", "dockerContainer": "<string>", "dockerContainerManagedByEdgeImpulse": true, "created": "2023-11-07T05:31:56Z", "description": "<string>", "port": 123, "isConnected": true, "sourceCodeAvailable": true, "sourceCodeDownloadStaffOnly": true, "createdByUser": { "id": 123, "name": "<string>", "username": "<string>", "photo": "<string>" }, "lastUpdated": "2023-11-07T05:31:56Z", "lastUpdatedByUser": { "id": 123, "name": "<string>", "username": "<string>", "photo": "<string>" }, "userId": 123, "userName": "<string>", "requestsCpu": 123, "requestsMemory": 123, "limitsCpu": 123, "limitsMemory": 123, "error": "<string>" } ], "error": "<string>" }
Retrieve all dsp blocks.
Organization ID
OK
Whether the operation succeeded
Show child attributes
Optional error description (set if 'success' was false)
Was this page helpful?